Sketchup Make - can't add voronoid plug in

Hi, have just downloaded SketchUp Make to see if I can make some voronoid patterns.

Tried to add this plugin Voronoi+Conic Curve from [http://www.crai.archi.fr/rld/plugin_details.php?id=1011]

Following instructions I found somewhere (probably in this forum but can’t quite remember, was searching everywhere for help), I located appdata - roaming - sketchup - plugins.

I unzipped to plugins. It unzips to two files: ConicCurveInFace.rb and VoronoiXY.rb

When I start Sketchup Make I get this message

" Error Loading File VoronoiXY.rb
Error: #<LoadError: cannot load such file – delauney3.rb>
C:/Program Files/SketchUp/SketchUp Make 2017/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:in require' C:/Program Files/SketchUp/SketchUp Make 2017/Tools/RubyStdLib/rubygems/core_ext/kernel_require.rb:54:inrequire’
C:/Users/Administrator/AppData/Roaming/SketchUp/SketchUp 2017/SketchUp/Plugins/VoronoiXY.rb:31:in `<top (required)>’ "

When i go to the extension manager, it shows the two .rb files, but both say “unsigned”.

My main focus at present is to try learn to make 2D Voronoid patterns.

Many thanks for any help, Carmen

Oh, something good has happened. I read in SketchUcation that I should rename the extension of the zip file from ZIP to RBZ.

Did this, then tried to install it via the extensions manager…it worked!

Then it said, for both files, that they were “unsigned”

Changed the settings to “Approve unidentified extensions”.

This seems to have worked, ConicCurve InFace is listed under the Extensions tab.

Have replied to my own email because I don’t wish to waste anyone’s time, and maybe this helps another newbie.

Now I “only” :wink: have to learn how to use the program and the plugin.

Many thanks, Carmen

2 Likes